*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: 'Montserrat', sans-serif;
}
h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin: 0;
}
ul,
ol {
  list-style-type: none;
  margin: 0;
  padding: 0;
}
img {
  display: block;
  max-width: 100%;
}
a {
  color: currentColor;
  text-decoration: none;
}
button {
  font-family: inherit;
  color: currentColor;
  cursor: pointer;
  border-color: transparent;
}
.section {
  padding-top: 40px;
  padding-bottom: 40px; 
}
.container {
  min-width: 320px;
  max-width: 375px;
  margin: 0;
  padding-left: 20px;
  padding-right: 20px; 
  margin-left: auto;
  margin-right: auto; 
}
@media screen and (min-width: 768px) {
  .section {
    padding-top: 50px;
    padding-bottom: 50px; 
  }
  .container {
    max-width: 736px;
    padding-left: 16px;
    padding-right: 16px;
  }
}
@media only screen and (min-width: 1200px) {
  .section {
    padding-top: 60px;
    padding-bottom: 60px;
  }
  .container {
    max-width: 1168px;
   
  }
}

/* header */
.header {
  width: 100%; 
  position: sticky;
  top: 0;
  background-color: #fff;
  z-index: 15; 
} 
.header-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  background-color: rgba(21, 19, 19, 0.966);
  color: white;
  overflow: hidden;
  max-width: 100%;
  box-shadow: rgba(0, 255, 255, 0.5) 0px 4px 8px;
}
.header-logo {
  display: flex;
  align-items: center;
  justify-content: center;
}
.header-logo-img {
  display: block; 
  width: 40px; 
  height: 40px; 
}
.header-logo .logo-name {
  font-size: 20px;
  font-weight: 600; 
}
.header-logo .logo-name:hover,
.header-logo .logo-name:focus {
  color: rgba(0, 255, 255, 1);
}
.menu-checkbox{
  display: none;  
  position: absolute;
  top: 20px;
  right: 20px;
  cursor: pointer;
}
.menu-icon {
  position: absolute;
  top: 10px;
  right: 20px; 
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  width: 30px;
  height: 25px;
  cursor: pointer;
  z-index: 100;
}
.menu-checkbox-line {
  box-sizing: border-box;
  display: block;
  width: 30px;
  height: 4px;
  margin-bottom: 5px;
  background: #ffffff;
  border-radius: 2px;
  transform-origin: center;
  transition: transform 0.3s ease, opacity 0.3s ease;              
}
.menu-checkbox:checked + .menu-icon + .mobile-menu-list {
  transform: translateX(0);
}

.menu-checkbox:not(:checked) + .menu-icon + .mobile-menu-list {
  transform: translateX(-100%);
}

.menu-checkbox:checked + .menu-icon .menu-checkbox-line:nth-child(1) {
  transform: rotate(45deg);
  position: absolute;
  top: 50%;
}
.menu-checkbox:checked + .menu-icon .menu-checkbox-line:nth-child(2) {
  opacity: 0; 
}
.menu-checkbox:checked + .menu-icon .menu-checkbox-line:nth-child(3) {
  transform: rotate(-45deg);
  position: absolute;
  top: 50%;
}
.menu-checkbox:checked ~ .mobile-menu-list {
  display: flex;
}
.mobile-menu-list {
  display: none; 
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.9);
  width: 100vw;
  height: 80vh;
  padding-top: 50px;
  padding-left: 50px;
  transition: transform 0.3s ease-out;
}
.mobile-menu-item {
  margin-bottom: 20px;
}
.mobile-menu-link {
  font-size: 22px;
  color: #fff;
  text-decoration: none;
  transition: color 0.3s ease;
}
.mobile-menu-link:hover,
.mobile-menu-link:focus {
  border-bottom: 3px solid rgba(0, 255, 255, 1);
}  
.header-item {
  padding: 10px 0;
  transition-delay: 2s;
}
.header-list {
  display: none;
}
.mobile-contact-item {
  padding-top: 40px;
}
.mobile-contact-item:hover,
.mobile-contact-item:focus {
  color: rgba(0, 255, 255, 1); 
}
.mobile-contact-item a:hover,
.mobile-contact-item a:focus {
  color: rgba(0, 255, 255, 1);
}
.mobile-contact-item svg {
  transition: fill 0.3s ease; 
}
.mobile-contact-item:hover svg,
.mobile-contact-item:focus svg {
  fill: rgba(0, 255, 255, 1); 
}
.mobile-social-item {
  padding-top: 30px;
}
.mobile-social-link {
  display: flex;
  align-items: center;
  flex-direction: row;
  gap: 15px;
}
.mobile-social-icon {
  fill: white;
}

@media only screen and (min-width: 768px) {
  .mobile-menu {
    display: none;
  }
  .menu-checkbox {
    display: none;
  }
  .menu-icon {
    display: none;
  } 
  .header {
    position: fixed;
  }
  .header-nav {
    display: flex;
    align-items: center;
    justify-content: space-between; 
    width: 100%;
  }
  .header-logo {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: auto;
  }
  .header-list {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 20px; 
    margin-left: auto;
  }
  .header-link {
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    font-size: 18px;
    color: white;
    transition: color 0.3s, font-size 0.3s, border-bottom 0.3s;
    height: 30px;
    line-height: 30px;
  }
  .header-link:hover,
  .header-link:focus {
    border-bottom: 3px solid rgba(0, 255, 255, 1);
  }
}  
.hero-section {
  background-image: url("../img/AutoHelp_image-1x.webp");
  background-position:  center; 
  background-repeat: no-repeat; 
  background-size: cover;
  width: 100%;
  height: 100vh;
  margin: 0;
  position: relative; 
}
.hero-section::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.5); 
  z-index: 1;  
}
#animated-title {
  padding-top: 20px;
  font-size: 50px;
  text-align: center;
  font-weight: bold;
  letter-spacing: 5px;
  color: rgba(0, 255, 255, 1); 
  text-shadow: 
    2px 2px 0 rgba(0, 0, 0, 0.8),
    4px 4px 0 rgba(0, 0, 0, 0.6),
    6px 6px 0 rgba(0, 0, 0, 0.4);
}
#subtitle {
  display: flex;
  justify-content: center;
  padding-top: 10px;
  font-size: 20px;
  color: black;
  text-shadow: 
    2px 2px 5px rgba(0, 0, 0, 0.5),
    -2px -2px 5px rgba(255, 255, 255, 0.8),
    1px 1px 0 rgba(0, 255, 255, 0.8), 
    2px 2px 0 rgba(0, 255, 255, 0.6),
    3px 3px 0 rgba(0, 255, 255, 0.4);
}
#animated-title span, #subtitle span {
  display: inline-block;
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 1s ease, transform 1s ease;
}
.hero-btn {
  position: fixed;
  bottom: 30px;
  right: 50px;
  color: #000;
  width: 140px;
  height: 60px;
  background-color: #fff;
  border: none;
  border-radius: 5px;
  padding: 10px 10px;
  font-size: 14px;
  cursor: pointer;
  transition: box-shadow 0.3s, transform 0.3s;
  z-index: 9;;
  animation: pulse 2s infinite; 
}
.hero-btn:hover {
  background-color: rgba(0, 255, 255, 0.8);
  color: #000;
  box-shadow: 0 0 15px rgba(0, 255, 255, 1), 0 0 25px rgba(0, 255, 255, 0.5); 
  font-weight: 600;
  transform: scale(1.2); 
  border: 2px solid rgba(0, 255, 255, 1); 
}

@keyframes pulse {
  0% {
    transform: scale(1); 
    border: 2px solid rgba(0, 255, 255, 0.2);
    box-shadow: 0 0 10px rgba(0, 255, 255, 0.2), 0 0 20px rgba(0, 255, 255, 0.1);
  }
  50% {
    transform: scale(1.1); 
    border: 2px solid rgba(0, 255, 255, 0.5);
    box-shadow: 0 0 20px rgba(0, 255, 255, 0.5), 0 0 30px rgba(0, 255, 255, 0.3);
  }
  100% {
    transform: scale(1); 
    border: 2px solid rgba(0, 255, 255, 0.2);
    box-shadow: 0 0 10px rgba(0, 255, 255, 0.2), 0 0 20px rgba(0, 255, 255, 0.1);
  }
}
@media only screen and (min-width: 768px) {
  #animated-title {
    font-size: 100px;
    padding-top: 70px;
    letter-spacing: 5px;
    color: rgba(0, 255, 255, 1);
    text-shadow: 
    2px 2px 0 rgba(0, 0, 0, 0.8),
    4px 4px 0 rgba(0, 0, 0, 0.6),
    6px 6px 0 rgba(0, 0, 0, 0.4);
  }
  #subtitle {
    font-size: 50px;
    text-shadow: 
    2px 2px 5px rgba(0, 0, 0, 0.5),
    -2px -2px 5px rgba(255, 255, 255, 0.8),
    1px 1px 0 rgba(0, 255, 255, 0.8), 
    2px 2px 0 rgba(0, 255, 255, 0.6), 
    3px 3px 0 rgba(0, 255, 255, 0.4);
  }
  .hero-btn {   
  color: #000;
  width: 200px;
  height: 80px;
  bottom: 50px;
  right: 100px; 
  border-radius: 5px;
  padding: 10px 10px;
  font-size: 20px;
  transition: box-shadow 0.3s, transform 0.3s;
  } 
}  

/* about-us */
.about-us-section {
  background: linear-gradient(180deg, #222, #444); 
}
.about-us-title {
  font-size: 32px;
  text-align: center;
  margin-bottom: 30px;
}
.description {
  font-size: 16px;
  line-height: 1.6;
  text-align: center;
  color: white;
}
.about-us-subtitle {
  font-size: 20px;
  text-align: center;
  margin-top: 30px;
  margin-bottom: 20px; 
}
.about-us-list {
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 40px;
}
.about-us-item {
  width: 250px;
  text-align: center;
  background-color: rgba(255, 255, 255, 0.1); 
  border-radius: 10px;
  padding: 20px;
  box-shadow: 0 0 25px rgba(0, 255, 255, 0.5);
}
.advantage {
  font-size: 18px;
  font-weight: bold;
}
.about-the-advantage {
  font-size: 14px;
  color: #ddd;
  line-height: 1.5;
  margin-top: 10px;
}

/* services */
.our-services {
  background-color: rgba(21, 19, 19, 0.966);
  color: white;
}
.our-services-title {
  text-align: center;
  font-size: 32px;
  margin-bottom: 30px;
}
.our-services-list {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}
.our-services-box {
 position: relative;
 overflow: hidden;
 border-radius: 10px;
}
.our-services-pic {
  overflow: hidden;
  opacity: 0.5;
}
.service-description-overlay {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 40px 32px;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  transform: translateY(100%);
  transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.our-services-box:hover .service-description-overlay {
  transform: translateY(0%) scale(1.1);
  background-color: rgba(0, 0, 0, 0.8);
  color: white;
  transform: scale(1.1);
  box-shadow:0 4px 8px rgba(0, 255, 255, 0.5);
}
.service-description-overlay {
  font-size: 14px;
  color: black;
} 
.service-title {
  font-size: 18px;
  margin-top: 20px;
  text-align: center;
}

@media only screen and (min-width: 768px) {
  .our-services-item {
    width: calc((100% - 24px * 1) / 2);
    transition: box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  .our-services-list {
    column-gap: 24px;
    row-gap: 72px;
  }
}

@media only screen and (min-width: 1158px) {
  .our-services-item {
    width: calc((100% - 24px * 2) / 3);
    transition: box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  .our-services-list {
    column-gap: 24px;
    row-gap: 48px;
  }
}

@media only screen and (min-width:768px) {
  .services-list {
    column-gap: 24px;
    row-gap: 72px;
  }
  .service-item {
    width: calc((100% - 24px * 1) / 2);
    transition: box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1);;
  }
}  

.reviews {
  background: linear-gradient(180deg, #222, #444); 
  text-align: center;
}
.reviews-title {
  font-size: 32px;
  text-align: center;
  margin-bottom: 20px;
}
.view-reviews-btn {
  background-color:rgba(0, 255, 255, 0.5);
  color: #000; 
  font-size: 1.1rem; 
  padding: 15px 30px; 
  border: none;
  border-radius: 5px; 
  cursor: pointer; 
  transition: background-color 0.3s ease;
  text-align: center;
  margin: 10px;
}

/* footer */
#footer {
  position: relative;
  z-index: 10;
  background-color: rgba(21, 19, 19, 1);
  color: white;
  text-align: center;
}
footer::before {
  content: "";
  position: absolute;
  top: 50px; 
  left: 30px;
  right: 30px;
  height: 0.5px;
  background-color: rgba(0, 255, 255, 1); 
}
.footer-container {
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: center;
  padding-top: 70px;
  padding-bottom: 30px;
  padding-left: 15px; 
}
.footer-title-about {
  display: flex;
  flex-direction: column;
  gap: 4px;
}
.footer-title {
  text-align: center;
  font-size: 20px;
  color: rgba(0, 255, 255, 1);
  padding-bottom: 20px;
}
.footer-subtitle {
  font-size: 14px;
}
.footer-slogan {
  font-size: 10px;
}
.footer-contact {
  display: flex;
  flex-direction: column;
  gap: 15px;
}
.footer-contact-list {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  gap: 15px;
}
.footer-contact-item {
  display: flex;
  align-items: center;
  justify-content: center;
}
.contact-phone {
  display: flex;
  align-items: center;
  flex-direction: row;
}
.contact-phone svg {
  margin-right: 5px; 
}
.icon-phone-call {
  fill: white;
}
.footer-contact-item:hover,
.footer-contact-item:focus {
  color: rgba(0, 255, 255, 1); 
}
.footer-contact-item a:hover,
.footer-contact-item a:focus {
  color: rgba(0, 255, 255, 1);
}
.footer-contact-item svg {
  transition: fill 0.3s ease; 
}
.footer-contact-item:hover svg,
.footer-contact-item:focus svg {
  fill: rgba(0, 255, 255, 1); 
}
.social-link {
  display: flex;
  align-items: center;
  flex-direction: row;
  gap: 15px;
}
.footer-social-icon {
  fill: white;
}
.location {
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  gap: 15px;
} 
.icon-location {
  fill: white;
}
@media screen and (min-width: 768px) {
  .footer-container {
    flex-direction: row;
  }
  .footer-title-about {
    width: 50%;
  }
  .footer-contact {
    width: 50%;
  }
  .footer-title {
    font-size: 35px;
  }
  .footer-subtitle {
    font-size: 25px;
  }
  .footer-slogan {
    font-size: 15px;
  }
}
.copy-writes {
  font-size: 10px;
}
@media only screen and (min-width: 1200px) {
   .footer-title {
    font-size: 40px;
  }
  .footer-subtitle {
    font-size: 30px;
  }
  .footer-slogan {
    font-size: 20px;
  }
  .copy-writes {
    flex-wrap: wrap;
    font-size: 10px;
  }
}





  


